<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema">
    <xsd:element name="TemplateDescription">
    <xsd:complexType>
        <xsd:sequence>
            <xsd:element name="SampleName" type="xsd:string"></xsd:element>
            <xsd:element name="SampleVersion" type="xsd:string"></xsd:element>
            <xsd:element name="SampleLevel" type="xsd:string" default="1"></xsd:element>
            <xsd:element name="Description" type="xsd:string"></xsd:element>
            <xsd:element name="ProjectType" type="xsd:string"></xsd:element>
            <xsd:element name="HasOption" type="xsd:string"></xsd:element>
            <xsd:element name="PreviewList" type="PreviewListInfo" ></xsd:element>
            <xsd:element name="CategoryList" type="CategoryListInfo" ></xsd:element>
            <xsd:element name="PlatformList" type="PlatformListInfo"></xsd:element>
            <xsd:element name="IconSet" type="IconSetInfo"></xsd:element>
        </xsd:sequence>
    </xsd:complexType>
    </xsd:element>
    
    
    <xsd:complexType name="PreviewListInfo">
        <xsd:sequence>
            <xsd:element name="Preview" type="xsd:string" maxOccurs="unbounded" minOccurs="0"></xsd:element>
        </xsd:sequence>
    </xsd:complexType>
    <xsd:complexType name="CategoryListInfo">
        <xsd:sequence>
            <xsd:element name="Category" type="xsd:string" maxOccurs="unbounded" minOccurs="0"></xsd:element>
        </xsd:sequence>
    </xsd:complexType>
    <xsd:complexType name="PlatformListInfo">
        <xsd:sequence>
            <xsd:element name="Profile" type="PlatformInfo" maxOccurs="unbounded" minOccurs="0"></xsd:element>
        </xsd:sequence>
    </xsd:complexType>
    <xsd:complexType name="PlatformInfo">
        <xsd:sequence>
            <xsd:element name="ProfileName" type="xsd:string"></xsd:element>
            <xsd:element name="RequiredVersion" type="xsd:string"></xsd:element>
        </xsd:sequence>
    </xsd:complexType>
    <xsd:complexType name="IconSetInfo">
        <xsd:sequence>
            <xsd:element name="IconSmall" type="xsd:string"></xsd:element>
            <xsd:element name="IconMediumNormal" type="xsd:string"></xsd:element>
            <xsd:element name="IconMediumSelect" type="xsd:string"></xsd:element>
            <xsd:element name="IconLarge" type="xsd:string"></xsd:element>
        </xsd:sequence>
    </xsd:complexType>
</xsd:schema>